Subject: Re: [PATCH net-next 5/9] selftests: ovpn: add notification parsing and matching

From: Jakub Kicinski <[email-masked]>
Date: Fri, 6 Mar 2026 12:57:38 -0800

On Fri, 6 Mar 2026 14:05:53 +0100 Antonio Quartulli wrote:
> > There should probably be an else branch which prints some kind of
> >   echo "SKIP - requirements missing"
> > 
> > Your requirements.py script prints stuff but the output needs to
> > contain the word SKIP  
> 
> If "has_listener_requirements" is false, the test script still goes on, 
> but it won't check the received netlink notification content.
> 
> So we're not really skipping the whole test, just one specific check 
> that requires extra tooling (which is normally found on all standard 
> distros).
> 
> 
> Do you think we should rather SKIP the whole test so that we can easily 
> spot that something is missing?

No strong preference. But speaking speaking just from the netdev CI
perspective it's probably best to report SKIP and then keep going.
The system does string matches on the output. If we report FAIL after
the pass it will show as FAIL, if it's SKIP + PASS the report will be
SKIP.